%def_without M24

%if_with M24
%define release alt0.M24.1
%else
%define release alt1
%endif

Summary: Integrated scm, wiki, issue tracker and project environment
Name: trac
Version: 0.10.4
Release: %release.1
Source0: http://ftp.edgewall.com/pub/trac/%name-%version.tar.gz
Source1: trac-0.9-alt-apache2.conf
#Source2: trac-0.9b1-alt-ru.mo
Source3: trac-0.9.4-alt-nginx.cgi.conf
Source4: trac-0.9.4-alt-nginx.fcgi.conf
Source5: trac-0.9.4-alt-cherokee.cgi.conf
Source6: trac-0.9.4-alt-cherokee.fcgi.conf

Patch0: trac-0.10-alt-tracd-no-threading.patch

License: BSD
Group: Development/Other
Packager: Python Development Team <python@packages.altlinux.org>
URL: http://trac.edgewall.org/
BuildArch: noarch

PreReq: python = %__python_version
BuildPreReq: python-devel = %__python_version
BuildRequires(pre): python

# Provided by clearsilver-python
# Required by trac.cgi, etc.
%py_requires neo_cgi
# Provided by python-module-pysqlite2
# Required by sqlite db engine
%py_requires pysqlite2

BuildPreReq: rpm-build-python >= 0.28
BuildPreReq: apache2-devel

%description
Trac is a minimalistic web-based software project management and bug/issue
tracking system. It provides an interface to the Subversion revision control
systems, an integrated wiki, flexible issue tracking and convenient report
facilities.

%package contrib
Summary: Trac contribs
Group: Development/Other
Requires: %name = %version

%description contrib
This package contains trac contribs

%package mod_python
Summary: Trac mod_python web frontend
Group: Development/Other
Requires: %name = %version
Requires: apache2

%description mod_python
This package contains trac mod_python web frontend

%package fcgi
Summary: Trac FastCGI web frontend
Group: Development/Other
Requires: %name = %version
# FastCGI server spawner, should be restarted on upgrade
Requires: trac-spawn-fcgi

%description fcgi
This package contains trac FastCGI web frontend

%prep
%setup -q
#%patch -p0

cp %SOURCE3 nginx-A.trac.cgi.conf
cp %SOURCE4 nginx-A.trac.fcgi.conf
cp %SOURCE5 cherokee-A.trac.cgi.conf
cp %SOURCE6 cherokee-A.trac.fcgi.conf

%build
%if_with M24
%__python setup.py build
%else
%__python setup.py build -e %_bindir/python%__python_version
%endif

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES
%__grep -v %_man1dir INSTALLED_FILES > INSTALLED_FILES.nomans
%__rm INSTALLED_FILES
%__mv INSTALLED_FILES.nomans INSTALLED_FILES
%__cp -a contrib %buildroot/%_datadir/%name/
%__mkdir_p %buildroot%apache_addonconfdir
%__sed  -e 's,@DATADIR@,%_datadir,g' \
	-e 's,@AHTDOCSDIR@,%apache_htdocsdir,g' \
	-e 's,@ACONFDIR@,%apache_confdir,g' \
	-e 's,@LOCALSTATEDIR@,%_localstatedir,g' \
	%SOURCE1 > %buildroot%apache_addonconfdir/A.%name.conf
%__install -d %buildroot%_localstatedir/%name %buildroot%_sysconfdir/%name

%pre
%_sbindir/groupadd -r -f tracadmin ||:

%post fcgi
%post_service trac-spawn-fcgi

%preun fcgi
%preun_service trac-spawn-fcgi

%post mod_python
/sbin/service httpd2 condreload ||:

%postun mod_python
/sbin/service httpd2 condreload ||:

%files -f INSTALLED_FILES
%_man1dir/*
%doc ChangeLog README README.tracd RELEASE
%doc AUTHORS INSTALL THANKS UPGRADE
%doc nginx-A.trac.cgi.conf nginx-A.trac.fcgi.conf
%doc cherokee-A.trac.cgi.conf cherokee-A.trac.fcgi.conf
# put htpasswd here
%dir %_sysconfdir/%name
# workaround for installed but not listed dirs:
%dir %python_sitelibdir/%name
%dir %python_sitelibdir/%name/mimeview
%dir %python_sitelibdir/%name/scripts
%dir %python_sitelibdir/%name/ticket
%dir %python_sitelibdir/%name/upgrades
%dir %python_sitelibdir/%name/versioncontrol
%dir %python_sitelibdir/%name/versioncontrol/web_ui
%dir %python_sitelibdir/%name/web
%exclude %python_sitelibdir/%name/web/modpython_frontend.*
%exclude %python_sitelibdir/%name/web/_fcgi.*
%exclude %python_sitelibdir/%name/web/fcgi_frontend.*
%exclude %_datadir/%name/cgi-bin/trac.fcgi
%dir %python_sitelibdir/%name/wiki
%dir %_datadir/%name
%dir %_datadir/%name/cgi-bin
%dir %_datadir/%name/htdocs
%dir %_datadir/%name/htdocs/css
%dir %_datadir/%name/htdocs/js
%dir %_datadir/%name/templates
%dir %_datadir/%name/wiki-default
%dir %_datadir/%name/wiki-macros
# empty dir for environments creation
%attr(2770,root,tracadmin) %dir %_localstatedir/%name

%files contrib
%dir %_datadir/%name/contrib
%_datadir/%name/contrib/*

%files mod_python
%python_sitelibdir/%name/web/modpython_frontend.*
%config(noreplace) %apache_addonconfdir/A.%name.conf

%files fcgi
%python_sitelibdir/%name/web/fcgi_frontend.*
%python_sitelibdir/%name/web/_fcgi.*
%_datadir/%name/cgi-bin/trac.fcgi

%changelog
* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.10.4-alt1.1
- Rebuilt with python-2.5.

* Sun Apr 22 2007 Ivan Fedorov <ns@altlinux.ru> 0.10.4-alt1
- 0.10.4 (bug&security fix release).

* Thu Dec 14 2006 Grigory Batalov <bga@altlinux.ru> 0.10.3-alt1
- 0.10.3 (bug fix release).

* Tue Nov 14 2006 Grigory Batalov <bga@altlinux.ru> 0.10.2-alt1
- 0.10.2 (security fix release).

* Tue Oct 03 2006 Grigory Batalov <bga@altlinux.ru> 0.10-alt1
- 0.10

* Fri Sep 08 2006 Ivan Fedorov <ns@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Sat Apr 22 2006 Ivan Fedorov <ns@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Sat Apr 15 2006 Ivan Fedorov <ns@altlinux.ru> 0.9.4-alt1
- build for ALT Linux Sisyphus

* Tue Mar 14 2006 Grigory Batalov <bga@altlinux.ru> 0.9.4-alt0.M24.1
- 0.9.4
- apache2 config and reload calls
- fcgi.py updated
- pass on fcgi exit
- htdocs: syntax support
- backport to Master 2.4

* Sun Jan 29 2006 Ivan Fedorov <ns@altlinux.ru> 0.9.3-alt2
- splitted out contrib and mod_python subpackages

* Sun Jan 08 2006 Ivan Fedorov <ns@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Sun Jan 08 2006 Ivan Fedorov <ns@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Sat Nov 12 2005 Ivan Fedorov <ns@altlinux.ru> 0.9-alt1
- 0.9

* Sun Oct 09 2005 Ivan Fedorov <ns@altlinux.ru> 0.9.0-alt0.svn2338
- svn trunk

* Thu Oct 06 2005 Ivan Fedorov <ns@altlinux.ru> 0.9.0-alt0.svn2328
- svn trunk

* Sun Jun 26 2005 Ivan Fedorov <ns@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Sat Jun 18 2005 Ivan Fedorov <ns@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Wed Jun 08 2005 Ivan Fedorov <ns@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Thu Apr 28 2005 Ivan Fedorov <ns@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Tue Dec 21 2004 Ivan Fedorov <ns@altlinux.ru> 0.8-alt1
- 0.8

* Sat Oct 16 2004 Ivan Fedorov <ns@altlinux.ru> 0.7.1-alt1
- Initial build
